:root {
    --wsd_yellow: #eacb1a;
    --wsd_yellow2: #d9bf2b;
    --wsd_mustard: #b19910;
    --wsd_red: #AD1005;
    --wsd_black: #161409;
    --wsd_silver: #CACBCB;
    --wsd_grey: #515252;
    --wsd_background_light: hsl(51, 80%, 90%);
    --wsd_background_dark: hsl(51, 65%, 85%);
}

body {
    background-color: var(--wsd_background_light);
    font-size: 100%;
}

h1 {
    font-size: 2.5em;
}

h2 {
font-size: 1.875em;
}

p {
    text-align: justify;
}

/* @media screen and (max-width: 600px) {
    p { text-align: left; }
} */
    

.body_text {
    text-align: justify;
    background-color: hsl(51, 65%, 85%);
    margin-left: 40px;
    margin-right: 40px;
}

.w3-container p {
    margin-left: 40px;
    margin-right: 40px;
}


@media screen and (max-width: 600px) {
    .w3-container p {
        margin-left: 20px;
        margin-right: 20px;
    }}

.header {
    background-color: var(--wsd_yellow);
    padding:12px 0 0 0;
    position:sticky;
    z-index:99;
}

.menu_header {
    background-color: var(--wsd_yellow);
    /* padding:12px 0; */
}

.wsd-section-header {
    padding-bottom: 12px;
    background-color: var(--wsd_background_dark);
}

.footer {
    width: 100%;
    padding-bottom: 15px;
    /* background-color:var(--wsd_black); */
    background-color: hsl(51, 65%, 85%);

}

.rank {
    font-size: larger;
    text-align: center;
    margin-top: 12px;
    margin-bottom: 4px;
}

.yudansha {
    text-align: center;
}

.bigyudansha {
    margin-left: 2em;
    text-align: center;
    font-size: larger;
 }

.yudanshaFootnote {
    margin-left: 4em;
    text-align: center;
    margin-bottom: 6px;
 }


.tablestuff {
    text-align: center;
    border-bottom: var(--wsd_grey) 1px solid;
}

tr.tablestuff td {
    text-align: center;
    border-bottom: var(--wsd_grey) 1px solid;
}

tr.tablestuff-l td {
    text-align: left;
    /* border-bottom: var(--wsd_grey) 1px solid; */
    border-bottom: #767171 1px solid; text-align:left;}

/* p { margin: 0 45pt 0 45pt;} */

.text-divider {
    padding: 8px 8px;
    text-align: center;
    /* font-family: Jost; */
    /* color: #444; */
    /* border:10px solid #eee; */
}

.divider {
    padding: 16px 0px;
    text-align: center;
    font-size: 18px;
    font-family: Jost;
    color: #444;
    /* border:10px solid #eee; */
}

@media screen and (min-width: 601px) {
    .divider {
      font-size: 3vw;
    }
  }

.boards_number {
    text-align: right;
}

.accordion {
    background-color: var(--wsd_yellow2);
    color: #444;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    border: 1px solid var(--wsd_background_dark);
    text-align: left;
    outline: none;
    font-size: 15px;
    transition: 0.4s;
}

.accordion:active, .accordion:hover {  /* I'm trying to isolate this active decorator to the accordian class, but it is universal */
    background-color: var(--wsd_mustard);
}

.accordion:after {
    content: '\002B';
    color: #777;
    font-weight: bold;
    float: right;
    margin-left: 5px;
}

.accordion:active:after {  /* I'm trying to isolate this active decorator to the accordian class, but it is universal */
    content: "\2212";
}

.panel {
    padding: 0 0;
    background-color: var(--wsd_background_light);
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
  }

.inline {
    background-color: var(--wsd_background_dark);
    cursor: pointer;
    width: 100%;
    border: 1px solid var(--wsd_background_dark);
    outline: none;
    font-size: 15px;
    transition: 0.4s;
}

.inline:after {
    content: ' *';
    color: blue;
    font-weight: bold;
}
    
.inline_note {
    padding: 0 0;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
    font-size: smaller;
    font-style: italic;
    border-width: 1px 0 1px 0;
    border-color: black;
    border-style: none;
    background-color: var(--wsd_background_light);
}

  
/* Set up the nav bar */
.topnav {
    background-color: var(--wsd_yellow);
    overflow: hidden;
}

.topnav a {
    float: left;
    display: block;
    color: var(--wsd_black);
    text-align: center;
    padding: 7px 10px;
    text-decoration: none;
    font-size: 17px;
    z-index: 99;
}

/* Style the links inside the navigation bar */
.menuitems {
    text-align: right;
    /* float: right; */
    /* border: var(--wsd_grey) 1px solid; */
    /* border-width: 0; */
}

.submenuitems {
    float: right;
    /* border: var(--wsd_grey) 1px solid; */
    /* border-width: 0; */
}

/* Change the color of links on hover */
.topnav a:hover {
    background-color: var(--wsd_silver);
    color: var(--wsd_black);
}

/* Add an active class to highlight the current page */
.topnav a.active {
    /* color: var(--wsd_silver); */
    border: var(--wsd_black) 1px solid;
}

/* Hide the link that should open and close the topnav on small screens */
.topnav .icon {
    display: none;
}

/* The side navigation menu */
.sidenav {
    width: 0; /* 0 width - change this with JavaScript. This controls the visibility */
    position: absolute; /* Stay in place */
    z-index: 1; /* Stay on top */
    right: 0;
    top: -4px;
    background-color: var(--wsd_yellow);
    border: 0;
    overflow-x: hidden; /* Disable horizontal scroll */
    /* opacity: 1; /* Make it semi-transparent */
    transition: 0.5s; /* 0.5 second transition effect to slide in the sidenav */
    }

    /* Position and style the close button (top right corner) */
    .sidenav .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
    }
    
    /* The navigation menu links */
    .sidenav a {
    padding: 2px 20px 8px 8px;
    text-decoration: none;
    background-color: none;
    /* font-size: 24px; */
    /* color: #333; */
    display: block;
    /* transition: 0.3s; */
    }

    /* DELETE ME */
    .sidenav button {
    padding: 2px 20px 8px 8px;
    text-decoration: none;
    background-color: lightcoral;
    /* font-size: 24px; */
    color: #800;
    display: block;
    /* transition: 0.3s; */
    }

    /* When you mouse over the navigation links, change their color */
    .sidenav a:hover {
    /* color: var(--wsd_mustard); */
    background-color: var(--wsd_silver);
    background-color: var(--wsd_mustard);
    }
    
    /* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
    @media screen and (max-height: 450px) {
    .sidenav {padding-top: 15px;}
    .sidenav a {font-size: 18px;}
    }

    /* The navigation menu links */
    .dropdown-btn {
    text-decoration: none;
    display: block;
    }
    
    /* Delete this? */
    .dropdown-btn .active {
    background-color: var(--wsd_mustard);
    }  
    
    /* Dropdown container (hidden by default). Optional: add a lighter background color and some left padding to change the design of the dropdown content */
    .dropdown-container {
    width: 90%;
    margin: auto;
    display: none;
    background-color: var(--wsd_mustard);
    border: 2px solid var(--wsd-black);
    padding: 8px 0;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    /* padding-left: 8px; */
    }

    .dropdown-container a:hover {
    background-color: var(--wsd_yellow);
    }

    /* Add an active class to the active dropdown button */
    .active {
    /* color: var(--wsd_red); */
    font-weight: bold;
    background-color: var(--wsd_mustard);
    }

    /* Add an active class to the active dropdown button */
    .current {
    color: var(--wsd_red);
    }

    /* Optional: Style the caret down icon */
    .fa-caret-down {
    float: right;
    padding-right: 8px;
    }
  
  
/* When the screen is less than 600 pixels wide, hide all links. Show the link that contains should open and close the topnav (.icon) */
@media screen and (max-width: 600px) {
    /* .topnav a:not(:first-child) {display: none;} */
    .topnav a {display: none;}
    .topnav div {
        float: right;
    }
    .topnav a.icon {
        float: right;
        display: block;
    }
    /* .menuitems  {
        width: 60%;
        margin: auto;
    } */
    .submenuitems  {
        width: 60%;
        margin: auto;
    }
}

/* The "responsive" class is added to the topnav with JavaScript when the user clicks on the icon. This class makes the topnav look good on small screens (display the links vertically instead of horizontally) */
@media screen and (max-width: 600px) {
    .topnav.responsive {position: relative;}
    .topnav.responsive a.icon {
        position: absolute;
        right: 0;
        top: 12;
    }
    .topnav.responsive.div {
        border-color: var(--wsd_black);
        border-style: solid;
        border-width: 1px;
    }

    .topnav.responsive a {
        float: none;
        display: block;
        text-align: right;
        padding-right: 12px;
        /* border: var(--wsd_grey) 1px solid; */
    }
    /* .topnav.responsive a:first-child {border-left:var(--wsd_black) 1px solid;} */
}

/* Start of sticky navbar stuff */

/* Style the navbar */
/* #id_menu {
  overflow: hidden;
  background-color: #333;
} */

/* Navbar links */
#navbar a {
  float: left;
  display: block;
  color: #f2f2f2;
  text-align: center;
  padding: 14px;
  text-decoration: none;
}

/* Page content */
.content {
  padding: 20px;
}

/* The sticky class is added to the navbar with JS when it reaches its scroll position */
.sticky {
  position: fixed;
  top: 0;
  /* width: 100%; */
}

/* Add some top padding to the page content to prevent sudden quick movement (as the navigation bar gets a new position at the top of the page (position:fixed and top:0) */
.sticky + .content {
  padding-top: 80px;
}
/* End of sticky navbar stuff */